<!DOCTYPE html>

<html xmlns="http://www.w3.org/1999/xhtml"
      xmlns:sec="http://www.thymeleaf.org/thymeleaf-extras-springsecurity5"
      xmlns:th="http://www.thymeleaf.org">
<head>
    <title>Flights</title>

    <style>
            input, button, select {
                width: 300px;
                height: 30px;
            }

            select {
                width: 200px;
                height: 30px;
            }

            .add, .edit, .delete {
                width: 100px;
                height: 30px;
            }

            .checkbox {
                width: 20px;
                height: 20px;
            }





    </style>
</head>

<body>

<div th:replace="fragments/header :: header"></div>


<div sec:authorize="hasRole('ROLE_DISPATCHER')">

    <h1>DISPATCHER PAGE</h1>

    <p><a th:href="@{/flights}">Flights</a></p>

    <p><a th:href="@{/requests}">Request</a></p>

    <div align="center">

        <table border="1" cellpadding="5">
            <caption><h2>Requests</h2></caption>
            <tr>
                <th>ID</th>
                <th>By</th>
                <th>Date</th>
                <th>Status</th>
                <th>Flight ID</th>
                <th>Details</th>
            </tr>
            <tr th:each="request : ${requests}">
                <td th:text="${request.requestId}" th:value="${request.requestId}"></td>
                <td th:text="${request.requestBy}"></td>
                <td th:text="${request.requestDate}"></td>
                <td th:text="${request.requestStatus.displayValue}"></td>
                <td th:text="${request.flightId}"></td>
                <td><a th:href="@{/request/{id}(id=${request.requestId})}">Info</a></td>
            </tr>
        </table>

    </div>

</div>

<div th:replace="fragments/footer :: footer"></div>

</body>